Subject: bug#23897: 25.1.50; Argument at point not being highlighted in eldoc hints

From: martin rudalics <[email-masked]>
Date: Thu, 07 Jul 2016 18:18:07 +0200

> Here is how to reproduce this bug in the master build in an emacs -Q
 > session (and also to verify that this bug is not present in emacs-25 branch
 > build):
 >
 > 1. Launch emacs -Q
 > 2. Type "(setq a " in the *scratch* buffer
 >
 > In *master* build, you see this: http://i.imgur.com/YwBybGU.png
 > Note that the SYM argument is not highlighted (made bold).
 >
 > Whereas this is what I see on the *emacs-25* branch after the same steps
 > above: http://i.imgur.com/DveB1le.png
 > Note that this time, the correct argument is seen in bold face in the eldoc
 > hint.

Confirmed.  Something seems to suppress highlighting in the minibuffer -
displaying eldoc in tooltips works as before.  Could you bisect to find
out what's been causing this?

martin